CREATE PROCEDURE CMS_GenericGetTable
(
	@Tables nvarchar(4000),
	@Sort varchar(250) = NULL,
	@Fields nvarchar(4000) = '*',
	@Filter nvarchar(4000) = NULL,
	@Group varchar(1000) = NULL
)

AS

DECLARE @strFilter varchar(4000)
DECLARE @strSort varchar(250)
DECLARE @strGroup varchar(1000)

IF @Sort IS NOT NULL AND @Sort != ''
	SET @strSort = ' ORDER BY ' + @Sort + ' '
ELSE
	SET @strSort = ''

IF @Filter IS NOT NULL AND @Filter != ''
	SET @strFilter = ' WHERE ' + @Filter + ' '
ELSE
	SET @strFilter = ''

IF @Group IS NOT NULL AND @Group != ''
	SET @strGroup = ' GROUP BY ' + @Group + ' '
ELSE
	SET @strGroup = ''

	
EXEC('
SET NOCOUNT ON
SELECT ' + @Fields + ' FROM ' + @Tables + ' ' + @strFilter + ' ' + @strGroup +' '+ @strSort)