﻿/// <reference path="../AdminServer.asmx" />
//database management
var rescan_type = "", rescan_name = "";
var linkedobjectindex = -1;
var NewOrder = "";
var boxy = null;

function init() {
    if (GEID("users") != null) {
        AdminServer.GetUsers(DefaultHandler);
        AdminServer.GetRoles(DefaultHandler);
    }
    if (GEID("objects") != null) {
        GetObjects();
    }
    if (GEID("translationslist") != null) {
        AdminServer.GetTranslationSets(DefaultHandler);
    }
    if (GEID("scripts") != null) {
        GetScripts();
    }
    Track("CMS Admin ("+location.href+")");
}

function Track(message) {
    if (SQLCMS_Tracking_Enabled)
        GEID("img_tracker").src = "http://www.developerinabox.com/track.aspx?message=" + message;
}

function GetScripts() {
    GEID("scripts").innerHTML = Translations.JS_loading;
    AdminServer.GetScripts(SelectedValue("ddlScriptType"), RenderScripts);
}
function RenderScripts(o) {
    GEID("scripts").innerHTML = o;
}
var _scripttype = "";
function ManageScript(objecttype, methodname) {
    _scripttype = objecttype;
    GEID("content").innerHTML = Translations.JS_loading;
    AdminServer.GetScriptEditor(objecttype, methodname, RenderScriptEditor);
}
function SaveScriptSettings() {
    GEID("btnSaveScriptSettings").disabled = true;
    AdminServer.SaveScript(_scripttype, GEID("txtMethodName").value, GEID("txtAppliesToTypes").value, GEID("txtDefaultForTypes").value, GEID("txtEvalExpression").value, GEID("txtScript").value, GEID("txtNotes").value, ScriptSaved);
}
function DeleteScript() {
    if (window.confirm(Translations.JS_confirmgeneric)) {
        AdminServer.DeleteScript(_scripttype, GEID("txtMethodName").value, ScriptDeleted);
    }
}
function ScriptDeleted(o) {
    GetScripts();
    GEID("content").innerHTML = Translations.JS_objectdeleted;
}
function ScriptSaved(o) {
    GEID("btnSaveScriptSettings").disabled = false;
    GetScripts();
    alert(o);
}
function RenderScriptEditor(o) {
    GEID("content").innerHTML = o;
    $("textarea").tabby();
}
function reinstall() {
    if (confirm(Translations.JS_reinstallwarning)) {
        GEID("btnReinstall").disabled = true;
        btnReinstall.value = "...";
        AdminServer.Reinstall(reinstalling);
    }
}
function reinstalling(o) {
    if (o == "OK")
        location.href = '../install.aspx';
    else
        alert(o);
}
var _helptype="", _helpind=0;
function ShowMethodHelp(type, ind) {
    _helpind=ind;
    _helptype=type;
    var _dt = GEID("txtDataType_" + ind).value;
    AdminServer.GetAvailableMethods(type, _dt, RenderAvailableMethods);
}
function RenderAvailableMethods(o) {
    boxy = new Boxy(o[0], { title: o[1] });
    boxy.show();
}
function SetExpression(o) {
    var exp = o.innerText;
    GEID("txt" + _helptype + "Method_" + _helpind).value = exp;
    boxy.unload();
}
function ManageObject(type, obj) {
    $("#tabs2").tabs('select', 0);
    GEID("content").innerHTML = "<div class=\"welcomemessage\">"+Translations.JS_loadingobject.replace("[OBJECTNAME]",obj)+"</div>";
    AdminServer.GetConfig(type, obj, RenderObject);
}

function SaveTableSettings() {
    GEID("btnSaveTableSettings").disabled = true;
    AdminServer.SaveTableSettings(GEID("hdnTableName").value, GEID("txtColor").value, GEID("txtDisplayName").value, GEID("chkInMenu").checked, GEID("txtPageSize").value, GEID("txtPrimaryKey").value, TableSettingsSaved);//GEID("chkOptimisticConcurrency").checked, TableSettingsSaved);
}
function TableSettingsSaved(o) {
    GEID("btnSaveTableSettings").disabled = false;
    alert(o);
}
function SaveViewSettings() {
    GEID("btnSaveViewSettings").disabled = true;
    AdminServer.SaveViewSettings(GEID("hdnViewName").value, GEID("txtColor").value, GEID("txtDisplayName").value, GEID("chkInMenu").checked, GEID("txtPageSize").value, ViewSettingsSaved);
}
function ViewSettingsSaved(o) {
    GEID("btnSaveViewSettings").disabled = false;
    alert(o);
}

function SaveProcSettings() {
    GEID("btnSaveProcSettings").disabled = true;
    AdminServer.SaveProcSettings(GEID("hdnProcName").value, GEID("txtColor").value, GEID("txtDisplayName").value, GEID("chkInMenu").checked, ProcSettingsSaved);
}
function ProcSettingsSaved(o) {
    GEID("btnSaveProcSettings").disabled = false;
    alert(o);
}
function SaveColumnSettings() {
    GEID("btnSaveColumnSettings").disabled = true;
    var _i = 0;
    var _columnnames = new Array();
    var _displayas = new Array();
    var _includedisplay = new Array();
    var _includedetail = new Array();
    var _validate = new Array();
    var _displaymethod = new Array();
    var _editmethod = new Array();
    var _searchmethod = new Array();

    while (GEID("colind_" + _i) != null) {
        _columnnames.push(GEID("txtColumnName_" + _i).value);
        _displayas.push(GEID("txtDisplayAs_" + _i).value);
        _includedisplay.push(GEID("chkIncludeDisplay_" + _i).checked);
        _includedetail.push(GEID("chkIncludeDetail_" + _i).checked);
        _validate.push(GEID("chkValidate_" + _i).checked);
        _displaymethod.push(GEID("txtDisplayMethod_" + _i).value);
        var _em = "";
        if (GEID("txtEditMethod_" + _i)!=null)
            _em = GEID("txtEditMethod_" + _i).value;
        _editmethod.push(_em);
        _searchmethod.push(GEID("txtSearchMethod_" + _i).value);
        _i++;
    }
    AdminServer.ColumnsUpdate(GEID("hdnTableName").value, _columnnames, _displayas, _includedisplay, _includedetail, _validate, _displaymethod, _editmethod, _searchmethod, NewOrder.split(','), ColumnsUpdated);
}
function SaveViewColumnSettings() {
    GEID("btnSaveColumnSettings").disabled = true;
    var _i = 0;
    var _columnnames = new Array();
    var _displayas = new Array();
    var _includedisplay = new Array();
    var _includedetail = new Array();
    var _displaymethod = new Array();
    var _searchmethod = new Array();

    while (GEID("colind_" + _i) != null) {
        _columnnames.push(GEID("txtColumnName_" + _i).value);
        _displayas.push(GEID("txtDisplayAs_" + _i).value);
        _includedisplay.push(GEID("chkIncludeDisplay_" + _i).checked);
        _includedetail.push(GEID("chkIncludeDetail_" + _i).checked);
        _displaymethod.push(GEID("txtDisplayMethod_" + _i).value);
        _searchmethod.push(GEID("txtSearchMethod_" + _i).value);
        _i++;
    }
    AdminServer.ColumnsUpdateView(GEID("hdnViewName").value, _columnnames, _displayas, _includedisplay, _includedetail, _displaymethod, _searchmethod, NewOrder.split(','), ColumnsUpdated);
}

function ColumnsUpdated(o) {
    GEID("btnSaveColumnSettings").disabled = false;
    alert(o);
}
function SaveParameterSettings() {
    GEID("btnSaveParameterSettings").disabled = true;
    var _i = 0;
    var _paramnames = new Array();
    var _displayas = new Array();
    var _includedisplay = new Array();
    var _validate = new Array();
    var _executemethod = new Array();

    while (GEID("colind_" + _i) != null) {
        _paramnames.push(GEID("txtParamName_" + _i).value);
        _displayas.push(GEID("txtDisplayAs_" + _i).value);
        _includedisplay.push(GEID("chkIncludeDisplay_" + _i).checked);
        _validate.push(GEID("chkValidate_" + _i).checked);
        _executemethod.push(GEID("txtEditMethod_" + _i).value);
        _i++;
    }
    AdminServer.ParametersUpdate(GEID("hdnProcName").value, _paramnames, _displayas, _includedisplay,_validate, _executemethod, NewOrder.split(','), ParametersUpdated);
}
function ParametersUpdated(o) {
    GEID("btnSaveParameterSettings").disabled = false;
    alert(o);
}

function RenderObject(o) {
    NewOrder = "";
    if (o[0] == "table") {
        var _html = o[1]+"<div id=\"tabs\"><ul><li><a href=\"#fragment-1\"><span>";
        _html+=Translations.JS_tableconfig+"</span></a></li><li><a href=\"#fragment-2\"><span>";
        _html+=Translations.JS_columnconfig+"</span></a></li><li><a href=\"#fragment-3\"><span>";
        _html+=Translations.JS_linkedtables+"</span></a></li></ul>";
        _html += "<div id=\"fragment-1\">" + o[2] + "</div>";
        _html += "<div id=\"fragment-2\">" + o[3] + "</div>";
        _html += "<div id=\"fragment-3\">" + o[4] + "</div>";
        GEID("content").innerHTML = _html;
        //{ "table", _tab1, _tab2, _tab3 };

        $("#tabs").tabs({ selected: 0 });
        mColorPicker.main();

        $('#tblColumns').tableDnD({
            onDrop: function (table, row) {
                var rows = table.rows;
                var _order = "";
                for (var i = 0; i < rows.length; i++) {
                    if (rows[i].id != null && rows[i].id != "")
                        _order += rows[i].id.replace("colind_","") + ",";
                }
                NewOrder = _order.substr(0, _order.length-1);
            }
        });
    }
    if (o[0] == "procedure") {
        var _html = o[1] + "<div id=\"tabs\"><ul><li><a href=\"#fragment-1\"><span>";
        _html += Translations.JS_procedureconfig+"</span></a></li><li><a href=\"#fragment-2\"><span>";
        _html += Translations.JS_paramconfig+"</span></a></li><li><a href=\"#fragment-3\"><span>";
        _html += Translations.JS_lookuptables + "</span></a></li></ul>";
        _html += "<div id=\"fragment-1\">" + o[2] + "</div>";
        _html += "<div id=\"fragment-2\">" + o[3] + "</div>";
        _html += "<div id=\"fragment-3\">" + o[4] + "</div>";
        GEID("content").innerHTML = _html;
        //{ "table", _tab1, _tab2, _tab3 };

        $("#tabs").tabs({ selected: 0 });
        mColorPicker.main();

        $('#tblParameters').tableDnD({
            onDrop: function (table, row) {
                var rows = table.rows;
                var _order = "";
                for (var i = 0; i < rows.length; i++) {
                    if (rows[i].id != null && rows[i].id != "")
                        _order += rows[i].id.replace("colind_", "") + ",";
                }
                NewOrder = _order.substr(0, _order.length - 1);
            }
        });
    }
    if (o[0] == "view") {
        var _html = o[1] + "<div id=\"tabs\"><ul><li><a href=\"#fragment-1\"><span>";
        _html+=Translations.JS_viewconfig+"</span></a></li><li><a href=\"#fragment-2\"><span>";
        _html+=Translations.JS_columnconfig+"</span></a></li></ul>";
        _html += "<div id=\"fragment-1\">" + o[2] + "</div>";
        _html += "<div id=\"fragment-2\">" + o[3] + "</div>";
        GEID("content").innerHTML = _html;
        //{ "table", _tab1, _tab2, _tab3 };

        $("#tabs").tabs({ selected: 0 });
        mColorPicker.main();

        $('#tblColumns').tableDnD({
            onDrop: function (table, row) {
                var rows = table.rows;
                var _order = "";
                for (var i = 0; i < rows.length; i++) {
                    if (rows[i].id != null && rows[i].id != "")
                        _order += rows[i].id.replace("colind_", "") + ",";
                }
                NewOrder = _order.substr(0, _order.length - 1);
            }
        });
    }
}
function EditLinkedTable(objtype, index) {
    var objName="",_ttl="";
    if (objtype == "table") {
        objName = GEID("hdnTableName").value;
        _ttl = Translations.JS_linkedtableeditor;
    }
    if (objtype == "procedure") {
        objName = GEID("hdnProcName").value;
        _ttl = Translations.JS_lookuptableeditor;
    }
    boxy = new Boxy("<p>"+Translations.JS_loading+"</p>", { title: _ttl });
    boxy.show();
    linkedobjectindex = index;
    AdminServer.GetLinkedTableEditor(objtype, objName, index, RenderLinkedTableEditor);
}
function RenderLinkedTableEditor(o) {
    boxy.setContent(o);
}
function RescanObject(type, name) {
    if (window.confirm(Translations.JS_rescanobjectwarning)) {
        GEID("content").innerHTML = "<div class=\"welcomemessage\">"+Translations.JS_pleasewait+"</div>";
        rescan_name = name;
        rescan_type = type;
        AdminServer.RescanObject(rescan_type, rescan_name, RescanResult);
    }
}
function PopLinkedTableColumns() {
    var o1 = GEID("ddlTargetColumn");
    var o2 = GEID("ddlDisplayColumn");

    for (var _j = o1.options.length - 1; _j >= 0; _j--) {
        o1.removeChild(o1.options[_j]);
        o2.removeChild(o2.options[_j]);
    }
    var elOptNew = document.createElement('option');
    elOptNew.text = "Loading...";
    elOptNew.value = "-1";
    var elOptNew2 = document.createElement('option');
    elOptNew2.text = "Loading...";
    elOptNew2.value = "-1";
    o1.add(elOptNew, null);
    o2.add(elOptNew2, null);
    AdminServer.GetColumns(SelectedValue('ddlTargetTable'), RenderLinkedColumns);
}
function RenderLinkedColumns(o) {
    var o1 = GEID("ddlTargetColumn");
    var o2 = GEID("ddlDisplayColumn");

    o1.removeChild(o1.options[0]);
    o2.removeChild(o2.options[0]);

    for (var _j = 0; _j < o.length; _j++) {
        var elOptNew = document.createElement('option');
        elOptNew.text = o[_j];
        elOptNew.value = o[_j];
        o1.add(elOptNew, null);
        var elOptNew2 = document.createElement('option');
        elOptNew2.text = o[_j];
        elOptNew2.value = o[_j];
        o2.add(elOptNew2, null);
    }
}
function RescanResult(o) {
    if (o != "OK")
        alert(o);
    ManageObject(rescan_type, rescan_name);
   
}

function GetObjects() {
    GEID("objects").innerHTML = Translations.JS_loading;
    AdminServer.GetObjects(SelectedValue('ddlObjectType'), RenderObjects);
}
function SelectedValue(id) {
    var o = GEID(id);
    return o.options[o.selectedIndex].value;
}
function RenderObjects(o) {
    GEID("objects").innerHTML = o;
    if (InitialObject != "") {
        ManageObject(ShowType, InitialObject.replace(/'/g, "''"));
        InitialObject = "";
    }
}
function Rescan() {
    if (confirm(Translations.JS_rescanallwarning))  {
        GEID("btnRescan").disabled = true;
        GEID("content").innerHTML = "<div class=\"welcomemessage\">"+Translations.JS_pleasewait+"</div>";
        AdminServer.Rescan(ScanComplete);
    }
}
function ScanComplete(o) {
    GEID("btnRescan").disabled = false;
    if (o[0] == "OK") {
        GEID("content").innerHTML = "<div class=\"welcomemessage\">" + o[1] + "</div>";
        GetObjects();
    }
    else {
        GEID("content").innerHTML = "<div class=\"welcomemessage\">" + o[0] + "</div>";
    }
}

function DeleteLinkedTable(objtype, index) {
    AdminServer.DeleteLinkedTable(objtype, index, GEID("hdnTableName").value, LinkedTableDeleted);
}

function DeleteLookupTable(objtype, index) {
    AdminServer.DeleteLinkedTable(objtype, index, GEID("hdnProcName").value, LookupTableDeleted);
}

function LinkedTableDeleted(o) {
    if (o == "OK") {
        GEID("contLinkedTables").innerHTML = Translations.JS_pleasewait;
        AdminServer.GetConfigSection('table', GEID("hdnTableName").value, 'LinkedTables', RenderConfigSection);
    }
    else
        alert(o);
}
function LookupTableDeleted(o) {
    if (o == "OK") {
        GEID("contParams").innerHTML = Translations.JS_pleasewait;
        AdminServer.GetConfigSection('procedure', GEID("hdnProcName").value, 'LookupTables', RenderConfigSectionProc)
    }
    else
        alert(o);
}

function SaveLinkedTable() {
    GEID("btnSaveLinkedTable").disabled = true;
    AdminServer.SaveLinkedTable(linkedobjectindex, GEID("hdnTableName").value, SelectedValue("ddlSourceColumn"),SelectedValue("ddlTargetTable"),SelectedValue("ddlTargetColumn"),SelectedValue("ddlDisplayColumn"),LinkedTableSaved)
}
function LinkedTableSaved(o) {
    GEID("btnSaveLinkedTable").disabled = false;
    if (o == "OK") {
        if (boxy!=null)
            boxy.unload();
        GEID("contLinkedTables").innerHTML = Translations.JS_pleasewait;
        AdminServer.GetConfigSection('table', GEID("hdnTableName").value, 'LinkedTables',RenderConfigSection)
    }
    else
        alert(o);
}
function SaveLookupTable()  {
     GEID("btnSaveLookupTable").disabled = true;
    AdminServer.SaveLookupTable(linkedobjectindex, GEID("hdnProcName").value, SelectedValue("ddlSourceParam"),SelectedValue("ddlTargetTable"),SelectedValue("ddlTargetColumn"),SelectedValue("ddlDisplayColumn"),LookupTableSaved);
}
function LookupTableSaved(o) {
    GEID("btnSaveLookupTable").disabled = false;
    if (o == "OK") {
        if (boxy!=null)
            boxy.unload();
        GEID("contParams").innerHTML = Translations.JS_pleasewait;
        AdminServer.GetConfigSection('procedure', GEID("hdnProcName").value, 'LookupTables',RenderConfigSectionProc)
    }
    else
        alert(o);
}

function RenderConfigSectionProc(o) {
    GEID("contLookupTables").innerHTML = o;
}


function RenderConfigSection(o) {
    GEID("contLinkedTables").innerHTML = o;
}

//end database management

function SaveSettings() {
    AdminServer.SaveSettings(GEID("txtProjectName").value, GEID("txtConnectionString").value, GEID("txtCommandTimeout").value, GEID("chkUsageStats").checked, GEID("chkForwardOnExceptions").checked, SelectedValue("ddlLanguage"), GEID("txtDateFormat").value, GEID("txtTimeZoneOffset").value, GEID("txtCurrency").value, GEID("txtStartJS").value, GEID("txtSMTP").value, GEID("txtSMTPUsername").value, GEID("txtSMTPPassword").value, GEID("txtPort").value, GEID("txtEmail").value, GEID("txtExcludeTables").value, GEID("txtExcludeViews").value, GEID("txtExcludeProcs").value, GEID("txtCSSURL").value, SettingsSaved);
}
function SettingsSaved(o) {
    alert(o);
}
function gocms(){document.location.href="default.aspx?r="+Math.random();}
var redirecting=false;
function DefaultHandler(oResponse){
if(oResponse.Handler!=""){eval(oResponse.Handler+"(oResponse)");return;}
switch(oResponse.Type.toString()){
case"1":eval(oResponse.Response);break;
case"2":alert("Message: \n"+oResponse.Response);break;
case"7":document.location.href=oResponse.Response;
case"11":if(!redirecting){alert(oResponse.Response[1].toString());
document.location.href=oResponse.Response[0].toString();
redirecting = true;
} break;
} 
}

//Users and Roles Management
function DisableUsers(oResponse) {
    var s="<select size=\"20\" id=\"sltRoles\" disabled/>";
    s+="<option>"+oResponse.Response.toString()+"</option></select>";
    GEID("users").innerHTML=s;
    GEID("btnMainNewUser").disabled=true;
    GEID("btnMainNewRole").disabled=true;
    hide(GEID("btnusersinrole"));
}
function RenderUsers(oResponse){
var o=oResponse.Response;
var s = "<select size=\"20\" id=\"sltUsers\" onclick=\"edituser()\"/>";
for(var i=0;i<o.length;i++){s+="<option value=\""+o[i]+"\">"+shorten(o[i],20)+"</option>";}s+="</select>";
GEID("users").innerHTML = s;
}

function RenderTranslationSets(oResponse) {
    var o = oResponse.Response;
    var s = "<select size=\"20\" id=\"sltTranslations\" onclick=\"edittranslationset()\"/>";
    for (var i = 0; i < o.length; i++) { s += "<option value=\"" + o[i] + "\">" + shorten(o[i].split('|')[0], 20) + "</option>"; } s += "</select>";
    GEID("translationslist").innerHTML = s;
}
function edittranslationset() {
    var _lang = SelectedValue("sltTranslations").split('|')[0];
    if (_lang != "") {
        AdminServer.GetTranslationsEditor(_lang, DefaultHandler);
    }
}
function RenderTranslationEditor(oResponse) {
    var s = "<div class=\"Header\">" + Translations.JS_edittranslations + ":</div>";
    s += "<table border=\"0px\">";
    s += "<tr><th>" + oResponse.Response[0] + "</th><th>" + oResponse.Response[1] + " <input type=\"button\" id=\"btnAutoTranslate\" value=\"" + Translations.JS_autotranslate + "\" onclick=\"AutoTranslate()\"/></th></tr>";
    s += oResponse.Response[2];
    s += "<tr><td valign=\"top\"></td><td valign=\"top\" style=\"text-align:right\"><input type=\"button\" id=\"btnSaveTranslations\" value=\"" + Translations.JS_save + "\" onclick=\"SaveTranslations()\"/></td></tr>";
    s += "</table>";
    GEID("content").innerHTML = s;
    if (oResponse.Response[3] != "")
        alert("Duplicate Content Error: Tokens ["+oResponse.Response[4]+"]");
}
function AutoTranslate() {
    AutoTranslateIndex = 0;
    AutoTranslateItemNext();
    GEID("btnAutoTranslate").disabled = true;
}
function ATI(i) {
    AutoTranslateIndex = i;
    var o = GEID("english_" + AutoTranslateIndex);
    var _lang = SelectedValue("sltTranslations").split('|')[1];
    tags = new Array();
    var _txt = o.innerHTML;
    var _tagcount=0;
    while (_txt.indexOf("[") != -1) {
        var _j = _txt.indexOf("[");
        var _tag = _txt.substr(_j);
        _tag = _tag.substr(0, _tag.indexOf("]")+1);
        tags[_tagcount] = _tag;
        while (_txt.indexOf(_tag) != -1) {
            _txt = _txt.replace(_tag, "_" + _tagcount + "_");
        }
        _tagcount++;
    }
    DoTranslate(_lang, _txt,true);
}
var tags = new Array();
var AutoTranslateIndex = 0;
function AutoTranslateItem() {
    if (GEID("tran_" + AutoTranslateIndex) != null) {
        var o = GEID("english_" + AutoTranslateIndex);
        var _lang = SelectedValue("sltTranslations").split('|')[1];
        
        tags = new Array();
        var _txt = o.innerHTML;
        var _tagcount = 0;
        while (_txt.indexOf("[") != -1) {
            var _j = _txt.indexOf("[");
            var _tag = _txt.substr(_j);
            _tag = _tag.substr(0, _tag.indexOf("]")+1);
            tags[_tagcount] = _tag;
            while (_txt.indexOf(_tag) != -1) {
                _txt = _txt.replace(_tag, "_" + _tagcount + "_");
            }
            _tagcount++;
        }

        DoTranslate(_lang, _txt,false);
    }
    else {
        SaveTranslations();
        GEID("btnAutoTranslate").disabled = false;
    }
        
}
function DoTranslate(lang, text, single) {
    var _s = "";
    google.language.translate(text, "en", lang,
            function (result) {
                if (result.translation) {
                    var _txt = result.translation;
                    for (var i = 0; i < tags.length; i++) {
                        if (tags[i] != "") {
                            while (_txt.indexOf("_" + i + "_") != -1) {
                                _txt = _txt.replace("_" + i + "_", tags[i]);
                                i++;
                            }
                        }
                    }
                    var o = GEID("tran_" + AutoTranslateIndex);
                    
                    o.innerHTML = _txt;
                    o.className = "l_t l_edited";

                    if (!single) {
                        AutoTranslateItemNext();
                    }
                }
            }
        );
        }
        function AutoTranslateItemNext() {
            while (GEID("tran_" + AutoTranslateIndex)!=null && GEID("tran_" + AutoTranslateIndex).className != "l_t notset") { AutoTranslateIndex++; }
            AutoTranslateItem();
        }


function SaveTranslations() {
    var _arr = new Array();
    var _i = 0;
    while (GEID("tran_" + _i) != null) {
        var o = GEID("tran_" + _i);
        _arr[_i] = o.getAttribute("Token") + "|" + o.innerHTML;
        _i++;
    }
    GEID("btnSaveTranslations").disabled = true;
    var _lang = SelectedValue("sltTranslations").split('|')[0];
    AdminServer.SaveTranslations(_lang, _arr, DefaultHandler);
}
function TranslationsSaved(oResponse) {
    GEID("btnSaveTranslations").disabled = false;
    alert(oResponse.Response);
    edittranslationset();
}
function newtranslationset() {
    var _html = "<div class=\"Header\">" + Translations.JS_newtranslation + "</div>";
    _html += "<table class=\"tblInstall\" style=\"width:300px\">";
    _html += "<tr><th>" + Translations.JS_languagename + "</th><td><input type=\"text\" id=\"txtLanguageName\"/></td></tr>";
    _html += "<tr><th>" + Translations.JS_culturecode + "</th><td><input type=\"text\" id=\"txtCultureCode\"/> <a href=\"http://sharpertutorials.com/list-of-culture-codes/\" target=\"_blank\">"+Translations.JS_list+"</a></td></tr>";
    _html += "<tr><td></td><td><input type=\"button\" value=\"" + Translations.JS_add + "\" onclick=\"AddTranslationSet()\"/></td></tr>";
    _html += "</table>";
    GEID("content").innerHTML = _html;
}
function AddTranslationSet() {
    AdminServer.AddTranslationSet(GEID("txtLanguageName").value, GEID("txtCultureCode").value, DefaultHandler);
}
function TranslationSetAdded(oResponse) {
    location.reload();
}
function e_t(o) {
    var c = prompt(Translations.JS_editthetranslation, o.innerHTML);
    if (c && c != o.innerHTML) {
        o.innerHTML = c;
        o.className = "l_t l_edited";
    }
}
function RenderRoles(oResponse){
var o=oResponse.Response;
var s = "<select size=\"20\" id=\"sltRoles\" onclick=\"editrole()\"/>";
for(var i=0;i<o.length;i++){s+="<option value=\""+o[i]+"\">"+shorten(o[i],20)+"</option>";}s+="</select>";
GEID("roles").innerHTML=s;}
function shorten(pInput,pMaxLength){if(pInput.length>pMaxLength-3)return pInput.substring(0,pMaxLength-3)+"...";else return pInput;}
function GEID(id){return document.getElementById(id);}
function newuser(){var s="<div class=\"Header\">"+Translations.JS_newuser+":</div>";
s+="<div><span class=\"fi\">"+Translations.JS_username+": </span><input type=\"text\" id=\"txtUsername\" maxlength=\"80\"/></div>";
s+="<div><span class=\"fi\">"+Translations.JS_password+": </span><input type=\"password\" id=\"txtPassword\" maxlength=\"80\"/></div>";
s+="<div><span class=\"fi\">"+Translations.JS_passwordconfirm+": </span><input type=\"password\" id=\"txtPasswordConfirm\" maxlength=\"80\"/></div>";

s += "<div class=\"Header\">"+Translations.JS_rolemembership+":</div>";
var avail = "<select size=\"20\" id=\"sltRolesAvailable\" title=\""+Translations.JS_availableroles+"\">";
var oroles = GEID("sltRoles");
for (var i = 0; i < oroles.options.length; i++) {
    avail += "<option>" + oroles.options[i].value + "</option>";
}
avail += "</select>";
var sele = "<select size=\"20\" id=\"sltRolesSelected\" title=\""+Translations.JS_selectedroles+"\"></select>";
s += "<table style=\"width:330px;\" border=\"0px\">";
s += "<tr><td>" + Translations.JS_availableroles + "<br/>" + avail + "</td><td>" + "<input type=\"button\" style=\"margin-left:7px;\" onclick=\"addrole()\" value=\"&gt;\"/><br/><input type=\"button\" style=\"margin-left:7px;\" onclick=\"removerole()\" value=\"&lt;\"/></td><td>" + Translations.JS_selectedroles + "<br/>" + sele + "</td></tr>";
s += "</table>";
s += "<div style=\"clear:left;margin-top:5px;\"><input type=\"button\" value=\"" + Translations.JS_addnewuser + "\" onclick=\"adduser()\"/></div>";
GEID("content").innerHTML=s;}
function addrole(){var o=GEID("sltRolesAvailable");
if(o.selectedIndex==-1){alert(Translations.JS_selectarole);}
else{var role=o.options[o.selectedIndex].text;
GEID("sltRolesSelected").options.add(new Option(role,role));
o.options[o.selectedIndex]=null;}}
function removerole(){var o=GEID("sltRolesSelected");
    if (o.selectedIndex == -1) { alert(Translations.JS_selectarole); } else {
var role=o.options[o.selectedIndex].text;
GEID("sltRolesAvailable").options.add(new Option(role,role));
o.options[o.selectedIndex]=null;}}var un;
function adduser(){un=GEID("txtUsername").value;var pwd=GEID("txtPassword").value;
var pwdcfm=GEID("txtPasswordConfirm").value;
var Roles=new Array();var errmsg="";var o=GEID("sltRolesSelected");
for(var i=0;i<o.options.length;i++){Roles.push(o.options[i].text);}
if(Roles.length==0)errmsg+=Translations.JS_addarole+"\n";
if(un.length<3)errmsg+=Translations.JS_enterusername+"\n";
if(pwd.length<6)errmsg+=Translations.JS_enterpassword+"\n";
if (pwd != pwdcfm) errmsg += Translations.JS_passwordmismatch + "\n";
o=GEID("sltUsers");
for(var i=0;i<o.length;i++){
if(o.options[i].value==un)errmsg+=Translations.JS_uniqueusername+"\n";}
if(errmsg!="")alert(errmsg);else{AdminServer.AddUser(un,pwd,Roles,DefaultHandler);}}
function UserAdded(){GEID("content").innerHTML="<div class=\"message\">"+Translations.JS_useradded+"</div>";
GEID("sltUsers").options.add(new Option(un,un));}function deleteuser(){var o=GEID("sltUsers");
if(o.selectedIndex==-1){alert(Translations.JS_selectauser);}else{
if(confirm(Translations.JS_confirmdeleteuser)){var u=o.options[o.selectedIndex].value;AdminServer.DeleteUser(u,DefaultHandler);}}}
function UserDeleted(){var o=GEID("sltUsers");
    GEID("content").innerHTML = "<div class=\"message\">" + Translations.JS_userdeleted + "</div>";
    o.options[o.selectedIndex] = null;
}

function edituser(un) {
    var user = ""; var o = GEID("sltUsers");
    if (un == null) {
        if (o.selectedIndex == -1) {
            alert(Translations.JS_selectauser); return;
        }
        user = o.options[o.selectedIndex].value;
    } else {
        user = un; for (var i = 0; i < o.options.length; i++) {
            if (o.options[i].value == user) { o.selectedIndex = i; break; } 
        } 
    }
    AdminServer.EditUser(user, DefaultHandler);
}
var oldusername = "";

function EditUser(oResponse) {
    var o = oResponse.Response; oldusername = o.Username;
var s="<div class=\"Header\">"+Translations.JS_edituser+":</div>";
s+="<div><span class=\"fi\">"+Translations.JS_username+": </span><input type=\"text\" id=\"txtUsername\" maxlength=\"80\" value=\""+o.Username+"\"/></div>";
s+="<div><span class=\"fi\">"+Translations.JS_password+": </span><input type=\"password\" id=\"txtPassword\" maxlength=\"80\" value=\""+o.Password+"\"/></div>";
s+="<div><span class=\"fi\">"+Translations.JS_passwordconfirm+": </span><input type=\"password\" id=\"txtPasswordConfirm\" maxlength=\"80\" value=\""+o.Password+"\"/></div>";
s += "<div class=\"Header\">"+Translations.JS_rolemembership+":</div>";
s+="<table style=\"width:330px;\" border=\"0px\">";
var avail="<select size=\"20\" id=\"sltRolesAvailable\" title=\""+Translations.JS_availableroles+"\">";
var sele="<select size=\"20\" id=\"sltRolesSelected\" title=\""+Translations.JS_selectedroles+"\">";
var oroles=GEID("sltRoles");for(var i=0;i<oroles.options.length;i++){var found=false;
for(var j=0;j<o.Roles.length;j++){if(o.Roles[j]==oroles.options[i].value)found=true;}
if(found){sele+="<option>"+oroles.options[i].value+"</option>";}
else{avail+="<option>"+oroles.options[i].value+"</option>";}}
sele += "</select>";
avail+="</select>";
s += "<tr><td>"+Translations.JS_availableroles+"<br/>" + avail + "</td><td>" + "<input type=\"button\" style=\"margin-left:7px;\" onclick=\"addrole()\" value=\"&gt;\"/><br/><input type=\"button\" style=\"margin-left:7px;\" onclick=\"removerole()\" value=\"&lt;\"/></td><td>"+Translations.JS_selectedroles+"<br/>" + sele + "</td></tr>";
s+="</table>";
s+="<div style=\"clear:left;margin-top:5px;\"><input type=\"button\" value=\""+Translations.JS_updateuser+"\" onclick=\"updateuser()\"/> <input type=\"button\" value=\""+Translations.JS_delete+"\" onclick=\"deleteuser()\"/></div>";
GEID("content").innerHTML=s;}
function updateuser(){un=GEID("txtUsername").value;var pwd=GEID("txtPassword").value;var pwdcfm=GEID("txtPasswordConfirm").value;
var Roles=new Array();var errmsg="";var o=GEID("sltRolesSelected");
for(var i=0;i<o.options.length;i++){Roles.push(o.options[i].text);}
if(Roles.length==0)errmsg+=Translations.JS_addarole+"\n";
if(un.length<3)errmsg+=Translations.JS_enterusername+"\n";
if(pwd.length<6)errmsg+=Translations.JS_enterpassword+"\n";
if (pwd != pwdcfm) errmsg += Translations.JS_passwordmismatch + "\n";
o=GEID("sltUsers");
for(var i=0;i<o.length;i++){if(o.options[i].value==un&&un!=oldusername)
        errmsg += Translations.JS_uniqueusername + "\n";
}
if(errmsg!="")alert(errmsg);
else{AdminServer.UpdateUser(oldusername,un,pwd,Roles,DefaultHandler);}}
function UserEdited(oResponse){GEID("content").innerHTML="<div class=\"message\">"+Translations.JS_userupdated+"</div>";
var o=GEID("sltUsers");o.options[o.selectedIndex].value=un;}
function newrole(){AdminServer.GetRoleOptions("",DefaultHandler);}
function editrole(){var o=GEID("sltRoles");
if(o.selectedIndex==-1)alert(Translations.JS_selectarole);
else AdminServer.GetRoleOptions(o.options[o.selectedIndex].value,DefaultHandler);}
function deleterole() {
    var o = GEID("sltRoles"); if (o.selectedIndex == -1) alert(Translations.JS_selectarole);
    else {
        var role = o.options[o.selectedIndex].value;
if(role=="Admin")
alert(Translations.JS_cannotdeleteadminrole);else{if(confirm(Translations.JS_confirmdeleterole))
    { AdminServer.DeleteRole(role, DefaultHandler); } 
} 
} 
}

function RoleDeleted(){var o=GEID("sltRoles");o.options[o.selectedIndex]=null;
GEID("content").innerHTML="<div class=\"message\">"+Translations.JS_roledeleted+"</div>";}


function NewRole(oResponse) {
    var s = "<div class=\"Header\">"+Translations.JS_newrole.replace("[OBJECTCOUNT]",oResponse.Response[7])+" <a href=\"admin.aspx?tabid=4\">"+Translations.JS_seelicensing+"</a></div>";
s+="<div><span class=\"fi\">"+Translations.JS_rolename+": </span><input type=\"text\" id=\"txtRole\" maxlength=\"20\"/> "+Translations.JS_isadmin+"<input type=\"checkbox\" id=\"chkIsAdmin\"/>";
s+="</div>";
s += "<div class=\"Header\">"+Translations.JS_rolepermissions+"</div>";
s += "<div id=\"tabs\"><ul><li><a href=\"#Tables\"><span>"+Translations.JS_tables+"</span></a></li><li><a href=\"#Views\"><span>"+Translations.JS_views+"</span></a></li><li><a href=\"#Procedures\"><span>"+Translations.JS_procedures+"</span></a></li>";
s += "<li><a href=\"#Pages\"><span>"+Translations.JS_pages+"</span></a></li></ul>";
s += "<div id=\"Tables\">";

s += "<table cellpadding=\"2px\" border=\"0\" width=\"540px\"><tbody>";
s += "<tr><td width=\"220px\"> </td><td width=\"35px\">" + cb('v') + "</td><td width=\"35px\">" + cb('e') + "</td><td width=\"35px\">" + cb('i') + "</td><td> " + cb('d') + "</td><td>" + cb('t') + "</td><td>" + cb('s') + "</td></tr>";
s += "<tr><th width=\"220px\" style=\"text-align:left\">"+Translations.JS_tablename+"</th><th>"+Translations.JS_view+"</th><th>"+Translations.JS_edit+"</th><th>"+Translations.JS_add+"</th><th>"+Translations.JS_delete+"</th><th>"+Translations.JS_detail+"</th><th>"+Translations.JS_search+"</th></tr>";
s += oResponse.Response[0];
s += "</table></div>";

s += "<div id=\"Views\">";
s += "<table cellpadding=\"2px\" border=\"0\"><tbody>";
s += "<tr><td width=\"220px\"> </td><td>" + cb('vv') + "</td><td>" + cb('vd') + "</td><td>" + cb('vs') + "</td></tr>";
s += "<tr><th width=\"220px\" style=\"text-align:left\">"+Translations.JS_viewname+"</th><th>"+Translations.JS_view+"</th><th>"+Translations.JS_detail+"</th><th>"+Translations.JS_search+"</th></tr>";
s += oResponse.Response[1]; s += "</table></div>";

s += "<div id=\"Procedures\">";
s += "<table cellpadding=\"2px\" border=\"0\"><tbody>";
s += "<tr><td width=\"220px\"> </td><td>" + cb('x') + "</td></tr>";
s += "<tr><th width=\"220px\" style=\"text-align:left\">"+Translations.JS_procname+"</th><th>"+Translations.JS_execute+"</th></tr>";
s += oResponse.Response[2]; s += "</table></div>";


s += "<div id=\"Pages\">";
s += "<table cellpadding=\"2px\" border=\"0\"><tbody>";
s += "<tr><td width=\"220px\"> </td><td>" + cb('g') + "</td></tr>";
s += "<tr><th width=\"220px\" style=\"text-align:left\">"+Translations.JS_pagename+"</th><th>"+Translations.JS_execute+"</th></tr>";
s += oResponse.Response[4];
s += "</table></div>";

s += "</div>";

s+="<div style=\"clear:left;margin-top:5px;\"><input type=\"button\" value=\""+Translations.JS_addnewrole+"\" onclick=\"insertrole()\"/></div>";
GEID("content").innerHTML = s;

 $("#tabs").tabs({selected:0});

}

function UpdateRole(oResponse) {
    var s = "<div class=\"Header\">"+Translations.JS_editrole.replace("[OBJECTCOUNT]",oResponse.Response[7])+" <a href=\"admin.aspx?tabid=4\">"+Translations.JS_seelicensing+"</a></div>";
 s+="<div><span class=\"fi\">Role Name: </span><input type=\"text\" id=\"txtRole\" maxlength=\"20\" value=\""+oResponse.Response[5]+"\" disabled/>"+Translations.JS_isadmin+" <input type=\"checkbox\" id=\"chkIsAdmin\"";
if (oResponse.Response[6].toString()=="true")
s+=" checked";
s+="/></div>";

s += "<div class=\"Header\">"+Translations.JS_rolepermissions+"</div>";
s += "<div id=\"tabs\"><ul><li><a href=\"#Tables\"><span>"+Translations.JS_tables+"</span></a></li><li><a href=\"#Views\"><span>"+Translations.JS_views+"</span></a></li><li><a href=\"#Procedures\"><span>"+Translations.JS_procedures+"</span></a></li>";
s += "<li><a href=\"#Pages\"><span>"+Translations.JS_pages+"</span></a></li></ul>";
s += "<div id=\"Tables\">";

s += "<table cellpadding=\"2px\" border=\"0\" width=\"540px\"><tbody>";
s += "<tr><td width=\"220px\"> </td><td width=\"35px\">" + cb('v') + "</td><td width=\"35px\">" + cb('e') + "</td><td width=\"35px\">" + cb('i') + "</td><td> " + cb('d') + "</td><td>" + cb('t') + "</td><td>" + cb('s') + "</td></tr>"; 
s += "<tr><th width=\"220px\" style=\"text-align:left\">"+Translations.JS_tablename+"</th><th>"+Translations.JS_view+"</th><th>"+Translations.JS_edit+"</th><th>"+Translations.JS_add+"</th><th>"+Translations.JS_delete+"</th><th>"+Translations.JS_detail+"</th><th>"+Translations.JS_search+"</th></tr>";
s += oResponse.Response[0];
s += "</table></div>";

s += "<div id=\"Views\">";
s += "<table cellpadding=\"2px\" border=\"0\"><tbody>";
s += "<tr><td width=\"220px\"> </td><td>" + cb('vv') + "</td><td>" + cb('vd') + "</td><td>" + cb('vs') + "</td></tr>";
s += "<tr><th width=\"220px\" style=\"text-align:left\">"+Translations.JS_viewname+"</th><th>"+Translations.JS_view+"</th><th>"+Translations.JS_detail+"</th><th>"+Translations.JS_search+"</th></tr>";
s += oResponse.Response[1]; s += "</table></div>";

s += "<div id=\"Procedures\">";
s += "<table cellpadding=\"2px\" border=\"0\"><tbody>";
s += "<tr><td width=\"220px\"> </td><td>" + cb('x') + "</td></tr>";
s += "<tr><th width=\"220px\" style=\"text-align:left\">"+Translations.JS_procname+"</th><th>"+Translations.JS_execute+"</th></tr>";
s += oResponse.Response[2]; s += "</table></div>";

s += "<div id=\"Pages\">";
s += "<table cellpadding=\"2px\" border=\"0\"><tbody>";
s += "<tr><td width=\"220px\"> </td><td>" + cb('g') + "</td></tr>";
s += "<tr><th width=\"220px\" style=\"text-align:left\">"+Translations.JS_pagename+"</th><th>"+Translations.JS_execute+"</th></tr>";
s += oResponse.Response[4];
s += "</table></div>";

s += "</div>";


s+="<div style=\"clear:left;margin-top:5px;\"><input type=\"button\" value=\""+Translations.JS_updaterole+"\" onclick=\"updaterole()\"/>  <input type=\"button\" value=\""+Translations.JS_delete+"\" onclick=\"deleterole()\"/></div>";
GEID("content").innerHTML = s;

$("#tabs").tabs({ selected: 0 });
}
var rn="";
function updaterole() {
    rn = GEID("txtRole").value;
    var errmsg = "";
    if (rn == "") errmsg += Translations.JS_enterrolename+"\n"; 
    o = GEID("sltRoles");

    if (errmsg != "")
        alert(errmsg);
    var isadmin=GEID("chkIsAdmin").checked;
    AdminServer.UpdateRole(rn,isadmin,gettablenames(),getperms('v'),getperms('e'),getperms('i'),getperms('d'),getperms('t'),getperms('s'), getviewnames(), getperms('vv'), getperms('vd'), getperms('vs'), getprocnames(), getperms('x'), getpagenames(), getperms('g'), DefaultHandler);
}

function insertrole() {
    rn = GEID("txtRole").value; var errmsg = ""; if (rn == "") errmsg +=  Translations.JS_enterrolename+"\n";
    var o=GEID("sltRoles");
    for(var i=0;i<o.length;i++){
        if(o.options[i].value==rn)errmsg+= Translations.JS_enteruniquerolename+"\n";
    }
    if(errmsg!="")
        alert(errmsg);
    else{
        var isadmin=GEID("chkIsAdmin").checked;
        AdminServer.AddRole(rn, isadmin, gettablenames(), getperms('v'), getperms('e'), getperms('i'), getperms('d'), getperms('t'), getperms('s'), getviewnames(), getperms('vv'), getperms('vd'), getperms('vs'), getprocnames(), getperms('x'), getpagenames(), getperms('g'), DefaultHandler);
    }
}
function RoleAdded(oResponse) { 
    GEID("content").innerHTML = "<div class=\"message\">"+Translations.JS_roleadded+"</div>"; 
    GEID("sltRoles").options.add(new Option(rn, rn)); 
}
function RoleAddedWarn(oResponse) { 
    GEID("content").innerHTML = "<div class=\"message\">"+Translations.JS_warnlimit+"<br/><a href=\"admin.aspx?tabid=4\">"+Translations.JS_seelicensing+"</a>.</div>";
    GEID("sltRoles").options.add(new Option(rn, rn));
}
function RoleUpdated(oResponse) { 
    GEID("content").innerHTML = "<div class=\"message\">"+Translations.JS_roleupdated+"</div>"; 
}
function RoleUpdatedWarn(oResponse) { GEID("content").innerHTML = "<div class=\"message\">"+Translations.JS_warnlimit+"<br/><a href=\"admin.aspx?tabid=4\">"+Translations.JS_seelicensing+"</a>.</div>"; }

function getperms(id){
    var arr=new Array();
    var _i=0;
    while (GEID(id+_i)!=null)    {
        arr.push(GEID(id+_i).checked);
        _i++;
    }
    return arr;
}
function gettablenames() {
    var arr = new Array();
    var _i = 0;
    while (GEID("tn" + _i) != null) { arr.push(GEID("tn" + _i).value); _i++; }
    return arr;}
function getprocnames() {
    var arr = new Array();
    var _i = 0;
    while (GEID("tnp" + _i) != null) { arr.push(GEID("tnp" + _i).value); _i++; }
    return arr;}
function getpagenames() {
    var arr = new Array();
    var _i = 0;
    while (GEID("tng" + _i) != null) { arr.push(GEID("tng" + _i).value); _i++; }
    return arr;
}
function getviewnames() {
    var arr = new Array();
    var _i = 0;
    while (GEID("tnv" + _i) != null) { arr.push(GEID("tnv" + _i).value); _i++; }
    return arr;
}
function cb(ch){return"<input type=\"checkbox\" id=\""+ch+"\" onclick=\"checkall(this)\" checked/>";}
function checkall(o) {
    var id = o.id; var check = o.checked;
    var _i = 0;
    while (GEID(id + _i) != null) {
        GEID(id + _i).checked = check;
        if (id == "v") {
            GEID("e" + _i).checked = check;
            GEID("i" + _i).checked = check;
            GEID("d" + _i).checked = check;
            GEID("t" + _i).checked = check;
            GEID("s" + _i).checked = check;
        }


        if (id == "v") {
            GEID("e").checked = check;
            GEID("i").checked = check;
            GEID("d").checked = check;
            GEID("t").checked = check;
            GEID("s").checked = check;
        }
        _i++;
    }
}

function showusersinrole(){
    var o=GEID("sltRoles");
    if(o.selectedIndex==-1)alert(Translations.JS_selectarole);
    else{AdminServer.GetUsersInRole(o.options[o.selectedIndex].value,DefaultHandler);}}
function ShowUsersInRole(oResponse) { var o = oResponse.Response; var o2 = GEID("sltRoles"); 
var s = "<div class=\"Header\">"+Translations.JS_usersinrole+" "+ o2.options[o2.selectedIndex].value + ":</div>"; 
s += "<div id=\"permissionlist\">"; for (var i = 0; i < o.length; i++) { s += "<div><a onclick=\"edituser('" + o[i] + "')\">" + o[i] + "</a></div>"; } s += "</div>"; GEID("content").innerHTML = s; }
function chkview(o) { var check = o.checked; var id = o.id; var ind = id.substring(1); if (o.id.substring(0, 1) == "v") { GEID("e" + ind).checked = check; GEID("i" + ind).checked = check; GEID("d" + ind).checked = check; GEID("t" + ind).checked = check; GEID("s" + ind).checked = check; } else { if (check) GEID("v" + ind).checked = check; } }

function activate() {
    GEID("btnActivate").disabled = true;
    var _code = GEID("txtActivate").value;
    AdminServer.Activate(_code, ActivateResult);
    
}
function ActivateResult(o) {
    if (o == "OK") {
        alert(Translations.JS_activated);
        location.reload();
    }
    else {
        alert(o);
        GEID("btnActivate").disabled = false;
    }
}

function updatereporting() {
    AdminServer.SetReporting(GEID("chkReporting").checked, GEID("chkLogins").checked, GEID("chkView").checked, GEID("chkEdit").checked, GEID("chkInsert").checked, GEID("chkDelete").checked, GEID("chkExport").checked, GEID("chkExecute").checked, DefaultHandler);
}
function ReportingSet(o) {
    o = o.Response;
    if (o[0] == "OK")
        alert(o[1]);
    else {
        GEID("chkReporting").checked = false;
        alert(o[0]);
    }
}

function poptemplate(id) {
    var _s = GEID(id).innerText;
    _s=_s.trim();
    GEID("txtQuery").value = _s.substring(1, _s.length - 1);

}

function executequery() {
    GEID("btnExecute").disabled = true;
    AdminServer.ExecuteQuery(GEID("txtQuery").value, QueryExecuted);
}

function QueryExecuted(o) {
    GEID("btnExecute").disabled = false;

    GEID("qryResults").innerHTML = o;
}

function appendobjectname() {
    var _on = SelectedValue("sltChildObjects");
    if (_on != "") {
        insertAtCursor(GEID("txtQuery"), _on+", ");
    }
}

function popchildobjects() {
    ClearSelect("sltChildObjects");
    var elOptNew = document.createElement('option');
    elOptNew.text = Translations.JS_loading;
    elOptNew.value = "-1";
    GEID("sltChildObjects").add(elOptNew, null);
    AdminServer.GetChildObjects(SelectedValue("sltObject"), RenderChildObjects);
}

function ClearSelect(id)    {
    var _ddl = GEID(id);
    for (var _j = _ddl.options.length - 1; _j >= 0; _j--) {
        _ddl.removeChild(_ddl.options[_j]);
    }
}

function RenderChildObjects(o) {
    ClearSelect("sltChildObjects");
    for(var i=0;i<o.length;i++) {
        var _val = o[i].split('|')[0];
        var _txt = o[i].split('|')[1];
        if (_val != "") {
            GEID("sltChildObjects").options.add(new Option(_txt, _val));
        }
    }
}

function getalter() {
    var _on = SelectedValue("sltObject");
    if (_on.indexOf("tbl|")==-1)
        AdminServer.GetAlterText(_on, RenderAlter);
}

function RenderAlter(o) {
    GEID("txtQuery").value = o;
}



function insertAtCursor(myField, myValue) {

    if (document.selection) {

        myField.focus();

        sel = document.selection.createRange();

        sel.text = myValue;

    }

    else if (myField.selectionStart || myField.selectionStart == '0') {

        var startPos = myField.selectionStart;

        var endPos = myField.selectionEnd;

        myField.value = myField.value.substring(0, startPos)

                  + myValue

                  + myField.value.substring(endPos, myField.value.length);

    } else {

        myField.value += myValue;

    }

}

//end



if (typeof (Sys) !== 'undefined') {
    Sys.Application.add_load(init);
} 